# Tx Pool

### txpool\_content[​](https://wiki.polygon.technology/docs/supernets/api/json-rpc-txpool/#txpool_content) <a href="#txpool_content" id="txpool_content"></a>

Returns a list with the exact details of all the transactions currently pending for inclusion in the next block(s), as well as the ones that are being scheduled for future execution only.

#### Parameters[​](https://wiki.polygon.technology/docs/supernets/api/json-rpc-txpool/#parameters) <a href="#parameters" id="parameters"></a>

None

#### Example[​](https://wiki.polygon.technology/docs/supernets/api/json-rpc-txpool/#example) <a href="#example" id="example"></a>

```
curl  https://node1-mainnet.maalscan.io -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"txpool_content","params":[],"id":1}'
```

### txpool\_inspect[​](https://wiki.polygon.technology/docs/supernets/api/json-rpc-txpool/#txpool_inspect) <a href="#txpool_inspect" id="txpool_inspect"></a>

Returns a list with a textual summary of all the transactions currently pending for inclusion in the next block(s), as well as the ones that are being scheduled for future execution only. This is a method specifically tailored to developers to quickly see the transactions in the pool and find any potential issues.

#### Parameters[​](https://wiki.polygon.technology/docs/supernets/api/json-rpc-txpool/#parameters-1) <a href="#parameters-1" id="parameters-1"></a>

None

#### Example[​](https://wiki.polygon.technology/docs/supernets/api/json-rpc-txpool/#example-1) <a href="#example-1" id="example-1"></a>

```
curl  https://node1-mainnet.maalscan.io -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"txpool_inspect","params":[],"id":1}'
```

### txpool\_status[​](https://wiki.polygon.technology/docs/supernets/api/json-rpc-txpool/#txpool_status) <a href="#txpool_status" id="txpool_status"></a>

Returns the number of transactions currently pending for inclusion in the next block(s), as well as the ones that are being scheduled for future execution only.

#### Parameters[​](https://wiki.polygon.technology/docs/supernets/api/json-rpc-txpool/#parameters-2) <a href="#parameters-2" id="parameters-2"></a>

None

#### Example[​](https://wiki.polygon.technology/docs/supernets/api/json-rpc-txpool/#example-2) <a href="#example-2" id="example-2"></a>

```
curl  https://node1-mainnet.maalscan.io -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"txpool_status","params":[],"id":1}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maalscan.io/how-to-connect-to-maal-chain/tx-pool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
